<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width,initial-scale=1" />
  <meta name="description" content="Accessing clusters" />
  <title>Accessing the cluster</title>

  <link rel="icon" href="/static/favicon.ico"/>

  <link href="/static/fonts/source-sans-pro.css" rel="stylesheet">
  <link href="/static/app.css" rel="stylesheet">
</head>

<body>
  <main class="container">
    <h1>Accessing the cluster</h1>
    <p>Check the contents of your ID token below and then follow the instructions to connect to the cluster.</p>
    <pre><code>{{ .Claims }}</code></pre>

    <p>
      <h2>Install and kubectl and pinniped CLI</h2>
      Follow the installation instructions for <a href="https://kubernetes.io/docs/tasks/tools/#kubectl" target="_blank">kubectl</a> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16" fill="currentColor"><path fill="none" d="M0 0h24v24H0z"></path><path d="M10 6v2H5v11h11v-5h2v6a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h6zm11-3v8h-2V6.413l-7.793 7.794-1.414-1.414L17.585 5H13V3h8z"></path></svg> and <a href="https://pinniped.dev/docs/howto/install-cli/" target="_blank">pinniped</a> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16" fill="currentColor"><path fill="none" d="M0 0h24v24H0z"></path><path d="M10 6v2H5v11h11v-5h2v6a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h6zm11-3v8h-2V6.413l-7.793 7.794-1.414-1.414L17.585 5H13V3h8z"></path></svg>
    </p>

    <p>
      <h2>Select the cluster</h2>
    </p>

    <script id="cluster-list-data" type="application/json">{{ .Clusters }}</script>
    <div id="app"></div>

    <p>Now your are ready to use kubectl on the cluster. On the first kubectl command you will be authenticated via OpenID Connect.</p>
  </main>

  <script src="/static/js/vue.global.prod.js"></script>
  <script src="/static/app.js"></script>
</body>

</html>